portal/urls.py
from portal.views import *
from django.urls import path
from django.conf import settings
from django.conf.urls import url
from django.conf.urls.static import static
from portal import views as views

app_name = 'portal'

urlpatterns = [
	url(r'^like$',views.Like.as_view(),name='like'),
	url(r'^login/$',views.Login.as_view(),name='login'),
	url(r'^logout$',views.Logout.as_view(),name='logout'),
	url(r'^comment$',views.AddComment.as_view(),name='comment'),
	url(r'^adduser$',views.AddUser.as_view(),name='adduser'),
	url(r'^success$',views.Success.as_view(),name='success'),
	url(r'^login/login$',views.Login.as_view(),name='login'),
	url(r'^delete$',views.DeleteFile.as_view(),name='delete'),
	url(r'^validate/$',views.Validate.as_view(),name='validate'),
	url(r'^resolve$',views.MarkResolved.as_view(),name='resolve'),
	url(r'^dashboard/$',views.Dashboard.as_view(),name='dashboard'),
	url(r'^uploadpolicy/$',views.UploadPolicy.as_view(),name='uploadpolicy'),
	url(r'^userdocument/$',views.UserDocument.as_view(),name='userdocument'),
	url(r'^addanswer$',views.AddAnswer.as_view(),name='addanswer'),
	url(r'^dashboard/(?P<tab>.+)/$',views.Dashboard.as_view(),name='dashboard'),
	url(r'^download/(?P<pid>.+)/$',views.DownloadPolicy.as_view(),name='download'),
	url(r'^addquestion/(?P<tab>.+)/$',views.AddQuestion.as_view(),name='addquestion'),
	url(r'^downloaduserdoc/(?P<uid>.+)/$',views.DownloadUserDocument.as_view(),name='downloaduserdoc'),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

portal/templates/portal/base.html
{% load i18n %}
{% load l10n %}
{% load static from staticfiles %}
<!DOCTYPE html>
<html>
	<head>
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link href="{% static 'portal/css/main.css' %}" rel="stylesheet"  type="text/css">
		<link href="{% static 'portal/css/materialize.css' %}" rel="stylesheet"  type="text/css">
		<link href="{% static 'portal/css/materialize.min.css' %}" rel="stylesheet"  type="text/css">	

		<script src="{% static 'portal/js/jquery-3.2.1.min.js' %}"></script>
		<script src="{% static 'portal/js/portal.js' %}"></script>
		<script type="text/javascript" src="{% static 'portal/js/materialize.js' %}"></script>
	</head>

	<body style="background-color: #FFFFF0 !important;">
		<div class="ns-administrator-wrapper">
			<nav>
				<div class="nav-wrapper">
					<a href="#" class="brand-logo logoleft">
						<i class="large material-icons logoleft">assignment</i><p class="hrportal">HR-PORTAL</p>
					</a>
				</div>
			</nav>
			{% block template %}
			{% endblock template %}
			<!-- <div class="container footerpanel">
			<footer class="page-footer">
				<div class="footer-copyright">
					<div class="container">
						© 2018 Copyright Text
					</div>
				</div>
			</footer>
			</div>	 -->
		</div>
	</body>
</html>

portal/templates/portal/configure.html
<div class="row configure" id="configuretab">
	<div class="col s7">
		<div class="section description">
			<h6><u class="themecolor">Employees</u></h6>
			<p>add employees here...</p>
			<div class="row">
				<form action="{% url 'portal:adduser' %}" method="post" class="col s12">
					{% csrf_token %}
					<div class="row">
						<div class="input-field col s3">
							<input id="first_name" type="text" class="validate" name="firstname" required></input>
							<label for="first_name">First Name</label>
						</div>
						<div class="input-field col s3">
							<input id="last_name" type="text" class="validate" name="lastname" required></input>
							<label for="last_name">Last Name</label>
						</div>
						<div class="input-field col s3">
							<input id="username" type="text" class="validate" name="username" required></input>
							<label for="username">Username</label>
						</div>
					</div>
					<div class="row">
						<div class="input-field col s3">
							<input id="password" type="text" class="validate" name="password" required></input>
							<label for="password">Password</label>
						</div>
						<div class="input-field col s3">
							<input id="email" type="text" class="validate" name="email" required></input>
							<label for="email">Email</label>
						</div>
					</div>
					<button class="waves-effect waves-light btn-small askbutton" type="submit">Save</button>
				</form>
			</div>
		</div>
	</div>

	<div class="col s5">
		<div class="section description">
			<h6><u class="themecolor">Company Policies</u></h6>
			<p>Add company policies here..</p>
			<form action="{% url 'portal:uploadpolicy' %}" method="post" enctype="multipart/form-data">
				{% csrf_token %}
				<div class="input-field col s8">
					<select name="policy" class="existingpolicy">
						<option value="" selected >Update existing policy</option>
						{% for policy in policies %}
							<option value="{{ policy.id }}">{{ policy.get_file_name }}</option>
						{% endfor %}
					</select>
				<label>Exisiting policies</label>
				</div>
				<div class="input-field col s8">
					<div class="file-field input-field themecolor">
						<div class="btn askbutton uploadfile  waves-light btn-small">
							<span>File</span>
							<input type="file" name="myfile" required/>
						</div>
						<div class="file-path-wrapper">
							<input class="file-path validate" type="text">
						</div>	
					</div>
				</div>
				<div class="col">
					<div class="input-field col s4">
						<input type="text" name="startdate" class="datepicker" required>
						<label for="startdate">Start date</label>
					</div>
					<div class="input-field col s4">
						<input type="text" name="enddate" class="datepicker" required>
						<label for="enddate">End date</label>
					</div>
					<div class="input-field col s4">
						<input id="version" type="text" name="version" required></input>
						<label for="version">Version</label>
					</div>	
				<div>
					<button class="waves-effect waves-light btn-small askbutton " type="submit">Save</button>
				</div>
			</form>	
		</div>
	</div>
</div>

portal/templates/portal/dashboard.html
{% load i18n %}
{% load l10n %}
{% load static from staticfiles %}
<!DOCTYPE html>
<html>
	<head>
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link href="{% static 'portal/css/main.css' %}" rel="stylesheet"  type="text/css">
		<link href="{% static 'portal/css/materialize.css' %}" rel="stylesheet"  type="text/css">
		<link href="{% static 'portal/css/materialize.min.css' %}" rel="stylesheet"  type="text/css">	
		<script src="{% static 'portal/js/jquery-3.2.1.min.js' %}"></script>
		<script src="{% static 'portal/js/portal.js' %}"></script>
		<script type="text/javascript" src="{% static 'portal/js/materialize.js' %}"></script>
	</head>

	<body>
		<div class="ns-administrator-wrapper">
			<nav>
				<div class="nav-wrapper">
					<a href="#" class="brand-logo logoleft">
						<i class="large material-icons md logoleft">slow_motion_video</i><u><p class="hrportal">HR-PORTAL</p></u>
					</a>
					<ul class="right hide-on-med-and-down">
					<li><a class="dropdown-trigger" href="{%  url 'portal:logout' %}" data-target="dropdown1">Logout</a></li>
				</div>
			</nav>
			{% csrf_token %}
			<div class="col s12 ">
				<ul class="tabs tabs-fixed-width" id="tabs-swipe-demo">

					{% if tab == "queries" %}
						{% if is_admin %}
							<li class="tab col s2 taballqueries"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='queries' %}"><i class="small material-icons querytop">question_answer</i></a></li>
						{% else %}
							<li class="tab col s3 taballqueries"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='queries' %}"><i class="small material-icons querytop">question_answer</i></a></li>
						{% endif %}
					{% else %}
						{% if is_admin %}
							<li class="tab col s2 taballqueries"><a target="_self"  href="{% url 'portal:dashboard' tab='queries' %}"><i class="small material-icons querytop">question_answer</i></a></li>
						{% else %}
							<li class="tab col s3 taballqueries"><a target="_self"  href="{% url 'portal:dashboard' tab='queries' %}"><i class="small material-icons querytop">question_answer</i></a></li>
						{% endif %}
					{% endif %}


					{% if tab == "myqueries" %}
						{% if is_admin %}
							<li class="tab col s2 tabmyqueries"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='myqueries' %}">My Queries</a></li>
						{% else %}
							<li class="tab col s3 tabmyqueries"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='myqueries' %}">My Queries</a></li>
						{% endif %}
					{% else %}
						{% if is_admin %}
							<li class="tab col s2 tabmyqueries"><a target="_self" href="{% url 'portal:dashboard' tab='myqueries' %}">My Queries</a></li>
						{% else %}
							<li class="tab col s3 tabmyqueries"><a target="_self" href="{% url 'portal:dashboard' tab='myqueries' %}">My Queries</a></li>
						{% endif %}
					{% endif %}	


					{% if tab == "policies" %}
						{% if is_admin %}
							<li class="tab col s2 tabpolicies"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='policies' %}">Policies</a></li>
						{% else %}
							<li class="tab col s3 tabpolicies"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='policies' %}">Policies</a></li>
						{% endif %}
					{% else %}
						{% if is_admin %}
							<li class="tab col s2 tabpolicies"><a target="_self" href="{% url 'portal:dashboard' tab='policies' %}">Policies</a></li>
						{% else %}
							<li class="tab col s3 tabpolicies"><a target="_self" href="{% url 'portal:dashboard' tab='policies' %}">Policies</a></li>
						{% endif %}
					{% endif %}


					{% if tab == "mywork" %}
						{% if is_admin %}
							<li class="tab col s2 tabmyworkspace"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='mywork' %}">My Workspace</a></li>
						{% else %}
							<li class="tab col s3 tabmyworkspace"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='mywork' %}">My Workspace</a></li>
						{% endif %}
					{% else %}
						{% if is_admin %}
							<li class="tab col s2 tabmyworkspace"><a target="_self" href="{% url 'portal:dashboard' tab='mywork' %}">My Workspace</a></li>
						{% else %}
							<li class="tab col s3 tabmyworkspace"><a target="_self" href="{% url 'portal:dashboard' tab='mywork' %}">My Workspace</a></li>
						{% endif %}
					{% endif %}


					{% if is_admin %}
						{% if tab == "empwork" %}
							<li class="tab col s2 tabempworkspace"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='empwork' %}">Employee Workspace</a></li>
						{% else %}
							<li class="tab col s2 tabempworkspace"><a target="_self" href="{% url 'portal:dashboard' tab='empwork' %}">Employee Workspace</a></li>
						{% endif %}
						{% if tab == "configure" %}
								<li class="tab col s2 tabconfigure"><a target="_self" class="active" href="{% url 'portal:dashboard' tab='configure' %}"><i class="small material-icons querytop">perm_data_setting</i></a></li>
						{% else %}
							<li class="tab col s2 tabconfigure"><a target="_self" href="{% url 'portal:dashboard' tab='configure' %}"><i class="small material-icons querytop">perm_data_setting</i></a></li>
						{% endif %}	
					{% endif %}	

				</ul>
			</div>			
			<div>
				{% if tab == "queries" %}	
					{% include "portal/queries.html" %}
				{% endif %}

				{% if tab == "myqueries" %}	
					{% include "portal/myqueries.html" %}
				{% endif %}

				{% if tab == "policies" %}	
					{% include "portal/policies.html" %}
				{% endif %}

				{% if tab == "mywork" %}
					{% include "portal/myworkspace.html" %}
				{% endif %}

				{% if tab == "empwork" %}	
					{% include "portal/empwork.html" %}
				{% endif %}

				{% if tab == "configure" %}	
					{% include "portal/configure.html" %}
				{% endif %}	
			</div>
			<!-- <div class="container footerstyle">
				<footer class="page-footer footerpadding">
					<div class="footer-copyright">
						<div class="container">
							© 2018 Copyright Text
						</div>
					</div>
				</footer>
			</div> -->
		</div>	
	</body>
</html>

portal/templates/portal/empwork.html
<div class="row queries" id="queriestab">
	<div class="row">
		<div class="section details" >
			<ul class="collapsible popout with-header">
				<li class="collection-header classheader">
					<div class="row">
						<div class="section description">
							<div class="col s3">
								<h6><u class="themecolor">Employee workspace</u></h6>
									View/Add/Remove documents of employees
							</div>	
							<form action="{% url 'portal:userdocument' %}" method="post" enctype="multipart/form-data">
								{% csrf_token %}
								<div class="input-field col s3">
									<select name="emp" class="themecolor" multiple>
										{% if employees %}
											{% for employee in employees %}
											<option value="{{ employee.id }}">{{ employee.get_full_name }}</option>
											{% endfor %}
										{% else %}
											<option value="1">No employees present</option>
										{% endif %}	
									</select>
									<label>Employees</label>
								</div>
								<div class="input-field col s3 zeromargintop">
									<div class="file-field input-field themecolor">
										<div class="btn askbutton">
											<span>File</span>
											<input type="file" name="myfile" required/>
											</div>
											<div class="file-path-wrapper">
											<input class="file-path validate" type="text">
										</div>	
									</div>
								</div>
								<div class="col S2">
									<button class="waves-effect waves-light btn-small askbutton addbuttonmargintop" type="submit">Save</button>
								</div>
							</form>		
						</div>
					</div>
				</li>
				<li>
					<div id="querycollapsible" class="flowstyle" >
						{% if employees %}
							{% for employee in employees %}
								<li class="collection-item" >
									<div class="collapsible-header"><i class="Tiny material-icons themecolor">account_circle</i><a>{{ employee.get_full_name }}</a></div>
									<div class="collapsible-body bodycolor">
										{% for document in employee.get_document %}
										<div class="{{ document.id }}">
											<p><i class="Tiny material-icons themecolor">description</i>_{{ document.get_file_name }}<span class="right"><a href="{% url 'portal:downloaduserdoc' uid=document.id %}"><i class="Tiny material-icons themecolor downloadbutton">file_download</i></a><i class="Tiny material-icons chatbutton deletebutton smallleft" id="{{ document.id }}" tab="empwork" id="{{ document.id }}">delete_forever</i></span></p>
										</div>

										{% endfor %}
									</div>
								</li>
							{% endfor %}
						{% else %}
							<h6>No Queries yet</h6>
						{% endif %}	
					</div>
				</li>
					
			</ul>	
		</div>
	</div>
</div>

portal/templates/portal/login.html
{% extends "portal/base.html" %}
{% block template %}
	<div class = "container">
		<form action="{% url 'portal:validate' %}" method="post">
		{% csrf_token %}		
			<div class="row login">
				<div class="col s12">
					<div class="row">
						<form class="col s12">
							<div class="row">
								<div class="input-field col s12">
									<i class="material-icons prefix">account_circle</i>
									<input id="username" type="text" class="validate" name="username">
									<label for="icon_prefix">Username</label>
								</div>
							</div>	
							<div class="row">
								<div class="input-field col s12">
									<i class="material-icons prefix">lock_outline</i>
									<input id="password" type="password" class="validate" name="password">
									<label for="icon_telephone">Password</label>
								</div>
							</div>
							<div class="row">
								<button class="btn waves-effect waves-light loginleft" type="submit" id="login">LOGIN
									<i class="material-icons right">send</i>
								</button>
								<!-- <a class="btn waves-effect waves-light signupleft"  id="signup">New User
								</a> -->
							</div>	
						</form>
					</div>
				</div>
			</div>	
		</form>	
		<form action="{% url 'portal:adduser' %}" method="post">
		{% csrf_token %}
		
			<div class="row signup signupcss">
				<div class="col s12">
					<div class="row">
						<form class="col s12">
							<div class="row">
								<div class="input-field col s11">
									<i class="material-icons prefix">account_circle</i>
									<input id="uname" type="text" class="validate" name="user_name">
									<label for="icon_prefix">Username</label>
								</div>
							<!-- </div>
							<div class="row"> -->
								<div class="input-field col s11">
									<i class="material-icons prefix">account_circle</i>
									<input id="fname" type="text" class="validate" name="first_name">
									<label for="icon_prefix">Firstname</label>
								</div>
							</div>	
							<div class="row">
								<div class="input-field col s11">
									<i class="material-icons prefix">lock_outline</i>
									<input id="lname" type="text" class="validate" name="last_name">
									<label for="icon_telephone">Lastname</label>
								</div>
							<!-- </div>
							<div class --><!-- ="row"> -->
								<div class="input-field col s11">
									<i class="material-icons prefix">account_circle</i>
									<input id="emailid" type="text" class="validate" name="email_id">
									<label for="icon_prefix">Email</label>
								</div>
							</div>	
							<div class="row">
								<div class="input-field col s11">
									<i class="material-icons prefix">lock_outline</i>
									<input id="passwd" type="password" class="validate" name="passwd">
									<label for="icon_telephone">Password</label>
								</div>
							</div>
							<div class="row">
								<button class="btn waves-effect waves-light loginleft" id="ssignup">SIGN-UP
									<i class="material-icons right">send</i>
								</button>
								<a class="btn waves-effect waves-light signuploginleft"  id="slogin">LOGIN
									<i class="material-icons right">send</i>
								</a>
							</div>	
						</form>
					</div>
				</div>
			</div>
		</form>	
	</div>	
{% endblock template %}

portal/templates/portal/myqueries.html
<div class="row myqueries" id="myqueriestab">
	<div class="row">
		<div class="section details" >	
			<ul class="collapsible popout with-header">
				<li class="collection-header classheader ">
					<div class="row">
						<div class="section description">
							<div class="col s5 marginbottomtwo">
								<h6><u class="themecolor">Your Queries</u></h6>
									Questions asked by you...
							</div>	
							<!-- <form action="{% url 'portal:addquestion' tab=1%}" method="post">
								{% csrf_token %}
								<div class="input-field col s3">
									<input id="first_name" type="text" class="validate" name="question" required></input>
									<label for="first_name">Ask here...</label>
								</div>
								<div class="col S2">
									<button class=" waves-effect waves-light btn-small askbutton addbuttonmargintop" type="submit">Add</button>
								</div>
							</form>	 -->	
						</div>
					</div>
				</li>
				<li>
					<div id="querycollapsible" class="flowstyle">
						{% if myconversations %}
							{% for question,answers in myconversations.items %}
								<li class="collection-item">
									<div class="collapsible-header"><b class="resolved">{{ question.question }}?</b>
										{% if question.is_resolved %}
											<i class="Tiny material-icons themecolor">star</i>
										{% else %}
											<i class="Tiny material-icons resolve" id="{{ question.id }}">star_border</i>
										{% endif %}
									</div>
									<div class="collapsible-body bodycolor">
										{% for answer in answers %}
										<span>re : {{ answer.answer }}</span>
										<p>
											<i class="Tiny material-icons themecolor">tag_faces</i><a>_{{ answer.get_full_name }}</a>
											<span id="{{ answer.id }}" class="bigmarginlike" style="margin-left: 46em;">
												<label for="{{ answer.id }}" class="like themecolor">{{ answer.likes }}</label>
												<i class="material-icons likebutton dropdown-trigger" tab="allqueries" id="{{ answer.id }}" name="{{ answer.likes }}"  data-target="{{ answer.id }}">thumb_up</i><label for="{{ answer.get_comment_count }}" class="comment {{ answer.id }} themecolor smallleft">{{ answer.get_comment_count }}</label><i class="material-icons chatbutton comment modal-trigger" name="{{ answer.get_comment_count }}" id="{{answer.id}}">chat</i>
											</span>
										</p>
											<div class="bottom-sheet modal {{ answer.id }}">
												<ul>
													<li><h6 class="themecolor smallleft commentheader"><u>Comments:</u></h6></li>
													<div class="divider"></div>
												</ul>	
												<ul class="smallleft">
													<div class="commentlist">
														{% for comment in answer.get_comment %}
															<li class="commentlistpadding">
																{{ comment.comment }}<a>@{{ comment.commented_by.get_full_name }}</a>
															</li>
															<div class="divider"></div>
														{% endfor %}
													</div>	
													<div class="row commentfeed commentmargintop">
														<div class="input-field col s10">
															<textarea id="commentfeed" class="materialize-textarea commentbox {{ answer.id }}" data-length="300"></textarea>
															<label for="commentfeed">comment</label>
														</div>
														<button class="waves-effect waves-light btn-small askbutton addbuttonmargintop commentbutton" answerid="{{ answer.id }}">comment</button>
													</div>
												</ul>
											</div>
										{% endfor %}
									</div>
								</li>
							{% endfor %}
						{% else %}
							<h6>No Queries yet</h6>
						{% endif %}	
					</div>
				</li>	
			</ul>	
		</div>
	</div>
</div>

portal/templates/portal/myworkspace.html
<div class="row myworkspace" id="myworkspacetab">
	<div class="row">
		<div class="section details" >
			<ul class="collapsible popout with-header">
				<li class="collection-header classheader">
					<div class="row">
						<div class="section description">
							<div class="col s3 ">
								<h6><u class="themecolor">My workspace</u></h6>
									Files related to you...
							</div>	
							<div class="col s9 minusmargintop">
							<form action="{% url 'portal:userdocument' %}" method="post" enctype="multipart/form-data">
								{% csrf_token %}
								<div class="input-field col s5 ">
									<div class="file-field input-field themecolor">
										<div class="btn askbutton">
											<span>File</span>
											<input type="file" name="myfile" required></input>
											</div>
											<div class="file-path-wrapper">
											<input class="file-path validate" type="text">
										</div>	
									</div>
								</div>
								<div class="col S3">
									<button class="waves-effect waves-light btn-small askbutton margintopthree" type="submit">Save</button>
								</div>
							</form>	</div>	
						</div>
					</div>
				</li>
				<li>
					<div id="querycollapsible" class="flowstyle" >
						{% if employee %}
							{% for document in employee.get_document %}
								<li class="collection-item" >
									<div class="collapsible-header {{ document.id }}"><i class="tiny material-icons themecolor">description</i><span class="filetextwidth">{{ document.get_file_name }}.</span><a href="{% url 'portal:downloaduserdoc' uid=document.id %}"><i class="Tiny material-icons themecolor smallleft downloadbutton">file_download</i></a><i class="Tiny material-icons deletebutton " tab="mywork" id="{{ document.id }}">delete_forever</i></div>
								</li>
							{% endfor %}
						{% else %}
							<h6>No Queries yet</h6>
						{% endif %}	
					</div>
				</li>
					
			</ul>	
		</div>
	</div>
</div>

portal/templates/portal/policies.html
<div class="row policies" id="mypoliciestab">
	<div class="row s3 ">
		<ul class="collapsible popout with-header ">
				<li class="collection-header classheader policyheader">
					<div class="row">
						<div class="section description">
							<div class="col s5">
								<h6><u class="themecolor">Policies</u></h6>
									Your Company policies...
							</div>
						</div>
					</div>
				</li>
			</ul>	
	</div>
	<div class="row s9 onemargintop">
		<div class="section details" >
			<div id="querycollapsible" class="flowstyle">
				{% if policies %}
				<ul class="collapsible">
					{% for policy in policies %}
						<li>
							<div class="collapsible-header"><i class="tiny material-icons themecolor">import_contacts</i><span class="filetextwidth">{{ policy.get_file_name }}<a> --v{{ policy.version }}</a></span><a href="{% url 'portal:download' pid=policy.id %}"><i class="Tiny material-icons themecolor downloadbutton">file_download</i></a><span id="{{ policy.id }}">
							<label for="{{ policy.id }}" class="themecolor like">{{ policy.likes }}</label>
							<i class="material-icons likebutton dropdown-trigger" tab="policies" id="{{ policy.id }}" name="{{ policy.likes }}" data-target="{{ policy.id }}">thumb_up</i>
							<label class="themecolor policycomment {{ policy.id }}" for="{{ policy.get_comment_count }}">{{ policy.get_comment_count }}</label>
							<i class="material-icons comment modal-trigger policycommentbutton" name="{{ policy.get_comment_count }}" id="{{ policy.id }}">chat</i>
						</li>
						<div class="bottom-sheet policymodal modal {{ policy.id }}">
							<ul>
								<li><h6 class="themecolor smallleft commentheader"><u>Comments:</u></h6></li>
								<div class="divider"></div>
							</ul>	
							<ul class="smallleft">
								<div class="commentlist">
									{% for comment in answer.get_comment %}
										<li class="commentlistpadding">
											{{ comment.comment }}<a>@{{ comment.commented_by.get_full_name }}</a>
										</li>
										<div class="divider"></div>
									{% endfor %}
								</div>	
								<div class="row commentfeed commentmargintop">
									<div class="input-field col s10">
										<textarea id="commentfeed" class="materialize-textarea commentbox {{ policy.id }}" data-length="300"></textarea>
										<label for="commentfeed">comment</label>
									</div>
									<button class="waves-effect waves-light btn-small askbutton addbuttonmargintop policycomment" policyid="{{ policy.id }}">comment</button>
								</div>
							</ul>
						</div>
					{% endfor %}
				</ul>
				{% else %}
					<h6>No Company policies</h6>
				{% endif %}	
			</div>
		</div>
	</div>
</div>

portal/templates/portal/success.html
{% extends "portal/base.html" %}
{% block template %}
	{% if success %}
		<h4>signup successfull</h4>
		<!-- <button class="btn waves-effect waves-light loginleft" type="submit" id="successlogin">LOGIN -->
		<!-- <i class="material-icons right">send</i> -->
	{% else %}	
		<h1>User already exists</h1>
		<!-- <button class="btn waves-effect waves-light loginleft" type="submit" id="signup">Try Again -->
		<!-- <i class="material-icons right">send</i> -->
	{% endif %}	

{% endblock template%}